#include <time.h>
#include <sys/stat.h>
#include <string.h>

#include "mic.h"
#include "config.h"
#include "vyroci.h"

#define	debug		printf
#define	debug2	printf

void ModeCheck()
{
	struct stat	sstat;
	struct tm	tm;
	
	stat(cfg.odfile,&sstat);
	cfg.lastrun=sstat.st_ctime;
	bcopy(localtime(&cfg.lastrun),&tm,sizeof(struct tm));
	cfg.lastrun=AbsDay(tm.tm_year+1900,tm.tm_mon+1,tm.tm_mday);
	if(cfg.lastrun==0)
		cfg.lastrun=cfg.tdabs-370;
	
	fclose(fopen(cfg.odfile,"w"));

	if(cfg.onceAday && cfg.lastrun==cfg.tdabs)
			return;
	
	printf("Vyroci %s pro Un*x (c) 1998 Michal Ludvig <michal@ludvig.cz>\n\n",VERSION);

	if(cfg.ndflag)
		if(ProcessNameday())
			printf("\n");	
	
	if(cfg.anflag)
		if(ProcessAnnual())
			printf("\n");
	
	if(cfg.otflag)
		if(ProcessOnetime())
			printf("\n");
}

void ModeAdd(int what)
{
/*	if(what==0)
		what=E_ONETIME;*/
		
	switch(what)
	{
		case	E_ANNUAL:	AddAnnual(); break;
		case	E_ONETIME:	AddOnetime();	break;
		default:	failprog(3,"fatal (ModeAdd): Jejda! Promenna 'what' ma hodnotu: %d\n (to jsem fakt necekal)...\n",what);
	}
}

void ModeEdit(int what)
{
	failprog(0,"Je mi to fakt lito, ale 'ModeEdit()' jeste nikdo nenapsal :-(((
	(Muzes se toho ujmout ty. Autor ti jiste bude vdecny)\n");
}

void ModeDelete(int what)
{
	switch (what)
	{
		case	E_ANNUAL:	Delete(cfg.pannual); break;
		case	E_ONETIME:	Delete(cfg.ponetime);	break;
		default:	failprog(3,"fatal (ModeDelete): Jejda! Promenna 'what' ma hodnotu: %d\n (to jsem fakt necekal)...\n",what);
	}
}

